close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh3ds('demisphere4surf',5,'force',true,'check',true);

tstart=tic();
Th=siMesh(meshfile);
figure(1);
Th.plotmesh('FaceAlpha',0.5,'legend',true);
hold on
Th.plotmesh('d',1,'Linewidth',2,'color','k');
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
Th.plotmesh('FaceColor','none','EdgeColor',0.7*[1,1,1]);
hold on
Th.plotmesh('d',1,'Linewidth',2,'legend',true);
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

fc_tools.graphics.DisplayFigures();

