function varargout=plotmesh(self,varargin)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('color',self.color);
  p.addParamValue('Tag',self.Tag);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  H=eval(sprintf('PlotSubTh%dsimp%dD(self,fc_tools.graphics.colorstr2rgb(R.color),R.Tag,varargin)',self.d,self.dim));
  if nargout==1,varargout{1}=H;end
end

function h=PlotSubTh3simp3D(self,Color,Tag,PlotOptions)
  view(3)
  if fc_tools.comp.isOctave()
    T=self.me';
    triang = [T(:, 1) T(:, 2) T(:, 3); ...
              T(:, 2) T(:, 3) T(:, 4); ...
              T(:, 3) T(:, 4) T(:, 1); ...
              T(:, 4) T(:, 1) T(:, 2)];
        h=patch('faces',triang,'vertices',self.q','FaceColor','none', ...
                'EdgeColor',Color,'Tag',Tag,PlotOptions{:});
  else
    idx=nchoosek(1:4,2);
    ME=[];
    for i=1:size(idx,1) % speedup with patch insteed of tetramesh?
      ME=[ME;self.me(idx(i,:),:)'];
    end
    h=patch('Vertices',self.q','Faces',ME,'EdgeColor',Color,'FaceColor','none','Tag',Tag,PlotOptions{:});
  end
end

function h1=PlotSubTh2simp3D(self,Color,Tag,PlotOptions)
  q=self.q;
  h=trimesh(self.me',q(1,:),q(2,:),q(3,:),'EdgeColor','k','faceColor',Color,'Tag',Tag,PlotOptions{:});
  Q=[0 0 0;1 0 0;0 1 0];ME=[1 2 3];
  h1=trimesh(ME,Q(:,1),Q(:,2),Q(:,3),'EdgeColor','k','faceColor',Color,'Tag',Tag,PlotOptions{:},'Visible','Off');
end

function h=PlotSubTh1simp3D(self,Color,Tag,PlotOptions)
  X=[self.q(1,self.me(1,:));self.q(1,self.me(2,:));NaN(1,self.nme)];
  Y=[self.q(2,self.me(1,:));self.q(2,self.me(2,:));NaN(1,self.nme)];
  Z=[self.q(3,self.me(1,:));self.q(3,self.me(2,:));NaN(1,self.nme)];
  H=plot3(X(:),Y(:),Z(:),'Color',Color,'Tag',Tag,PlotOptions{:});
  h=H;
end

function h=PlotSubTh0simp3D(self,Color,Tag,PlotOptions)
  h=plot3(self.q(1),self.q(2),self.q(3),'LineStyle','none','Marker','o','MarkerFaceColor',Color','Color',Color,'Tag',Tag,PlotOptions{:});
end

function h=PlotSubTh2simp2D(self,Color,Tag,PlotOptions)
  q=self.q;
  H=triplot(self.me',q(1,:),q(2,:),'Color',Color,'Tag',Tag,PlotOptions{:});
  h=H(1);
end

function h=PlotSubTh1simp2D(self,Color,Tag,PlotOptions)
  X=[self.q(1,self.me(1,:));self.q(1,self.me(2,:));NaN(1,self.nme)];
  Y=[self.q(2,self.me(1,:));self.q(2,self.me(2,:));NaN(1,self.nme)];
  h=plot(X(:),Y(:),'Color',Color,'Tag',Tag,PlotOptions{:}); 
end

function h=PlotSubTh0simp2D(self,Color,Tag,PlotOptions)
  h=plot(self.q(1),self.q(2),'LineStyle','none','Marker','o','MarkerFaceColor',Color','Color',Color,'Tag',Tag,PlotOptions{:});
end

function h=PlotSubTh1simp1D(self,Color,Tag,PlotOptions)
  h=line(self.q(1,self.me(1,:)),zeros(self.nme,1),'Color',Color,'Tag',Tag,PlotOptions{:}); 
end

function h=PlotSubTh0simp1D(self,Color,Tag,PlotOptions)
  h=plot(self.q(1),self.q(2),'LineStyle','none','Marker','o','MarkerFaceColor',Color','Color',Color,'Tag',Tag,PlotOptions{:});
end
